PACCACHE(8)

BEZEICHNUNG
paccache - flexibles Werkzeug zum Aufräumen des Pacman-Zwischenspeichers

ÜBERSICHT

paccache <Aktion> [Optionen] [Ziel …]

BESCHREIBUNG

paccache entfernt alte Pakete aus dem Zwischenspeicher von Pacman. Standardmäßig werden die letzten drei Versionen eines Pakets behalten.

AKTIONEN

-d, --dryrun
    führt einen »Trockenlauf« aus, wobei nur nach potenziell zu entfernenden Paketen gesucht wird.

-m, --move <Verzeichnis>
    verschiebt potenziell zu entfernende Pakete in das angegebene Verzeichnis.

-r, --remove
    entfernt die Pakete aus dem Zwischenspeicher, die als potenziell zu entfernen identifiziert wurden.

OPTIONEN

-a, --arch <Architektur>
    sucht nach Paketen für eine spezifische Architektur. Standardmäßig wird nach allen Architekturen gesucht.

-c, --cachedir <Verzeichnis>
    gibt ein anderes Zwischenspeicherverzeichnis an. Diese Option kann mehrmals angegeben werden. Standardmäßig wird das in pacman.conf konfigurierte Zwischenspeicherverzeichnis verwendet.

-f, --force
    erzwingt die Ausführung von mv(1) und rm(1).

-h, --help
    zeigt die Optionen der Syntax und Befehlszeile an.

-i, --ignore <Pakete>
    gibt zu ignorierende Pakete an, durch Kommata getrennt. Alternativ können Sie »-« angeben, wodurch die Pakete aus der Standardeingabe gelesen werden, durch Zeilenvorschübe getrennt.

-k, --keep <Zahl>
    gibt an, wieviele Versionen eines Pakets im Zwischenspeicher behalten werden. Vorgabe ist 3.

--min-atime <Zeit>, --min-mtime <Zeit>
    behält Pakete mit einer atime bzw. mtime, die nicht älter als die angegebene Zeit ist, selbst wenn dies bedeuten würde, dass mehr als das, was durch die Option --keep angegeben ist, behalten wird. Es werden Argumente gemäß info "Date input formats" akzeptiert, beispielsweise 30 days ago.

--nocolor
    stellt die Ausgabe nicht farbig dar..

-z, --null
    verwendet Null-Trenner für die Namen potenziell zu entfernender Pakete (nur mit -v und -vv).

-q, --quiet
    minimiert die Ausgabe.

-u, --uninstalled
    wirkt auf nicht installierte Pakete.

-v, --verbose
    erhöht die Ausführlichkeitsstufe der Ausgabe, kann bis zu drei Mal angegeben werden.

-V, --version
    zeigt Versionsinformationen an.

SYSTEMD-ZEITGEBER

Der Paketzwischenspeicher kann periodisch mit dem Systemd-Timer paccache.timer geleert werden. Wenn der Timer freigegeben ist, wird der Zwischenspeicher wöchentlich mit den Standardoptionen von Paccache geleert.

SIEHE AUCH

pacman(8), pacman.conf(5), systemctl(1)

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, hinterlassen Sie einen Fehlerbericht (auf Englisch) mit so vielen Details wie möglich auf https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTOREN

Derzeitige Betreuer:

    • Johannes Löthberg (johannes@kyriasis.com)

    • Daniel M. Capella (polyzen@archlinux.org)

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Repositorium pacman-contrib.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).